<!-- actions -->
<div [class.opened]="opened" class="app-actions">
  <!-- left -->
  <div class="app-left">
    <!-- content will be here -->
    <ng-content select="[actionButton]"></ng-content>
  </div>

  <!-- right -->
  <div class="app-right">
    <!-- exports -->
    <button *ngIf="useExports" appOutlinedButton theme="secondary">
      <!-- document -->
      <app-icon-document></app-icon-document>
      Export.xls
    </button>

    <!-- filter -->
    <button (click)="toggle()" *ngIf="useFilters" [class.toggled]="opened" appOutlinedButton theme="secondary">
      <!-- filter -->
      <app-icon-filter></app-icon-filter>
      Filter
    </button>

    <!-- view type -->
    <ng-container *ngIf="hasViewTypes">
      <!-- render view type buttons -->
      <div class="app-view-types ds mh">
        <!-- divider -->
        <div class="app-divider"></div>

        <!-- map -->
        <app-icon-map
          (click)="emitViewTypeChange('map')"
          *ngIf="viewTypes.map"
          [class.selected]="isSelected('map')"
        ></app-icon-map>

        <!-- grid -->
        <app-icon-grid
          (click)="emitViewTypeChange('grid')"
          *ngIf="viewTypes.grid"
          [class.selected]="isSelected('grid')"
        ></app-icon-grid>

        <!-- list -->
        <app-icon-list
          (click)="emitViewTypeChange('list')"
          *ngIf="viewTypes.list"
          [class.selected]="isSelected('list')"
        ></app-icon-list>
      </div>
    </ng-container>
  </div>
</div>

<!-- filters -->
<div [class.opened]="opened" class="app-filters">
  <!-- title -->
  <div class="app-title">
    FILTERS
  </div>

  <!-- filter content -->
  <div class="app-content">
    <!-- filter items -->
    <div class="app-filter-items">
      <!-- render dynamic filed -->
      <ng-container *ngFor="let item of filterConfigs">
        <app-dynamic-field
          (endDateChange)="setEndDate($event)"
          (startDateChange)="setStartDate($event)"
          [config]="item"
          [maxDate]="endDate"
          [minDate]="startDate"
        ></app-dynamic-field>
      </ng-container>
    </div>

    <!-- right -->
    <div class="app-right">
      <!-- apply -->
      <button (click)="onApplyClicked()" appFlatButton theme="secondary">
        Apply
      </button>

      <!-- cancel -->
      <button (click)="clearFilters()" appInlineButton theme="secondary">
        Clear
      </button>
    </div>
  </div>
</div>
